Imagick::clipImage
Imagick::clone
Imagick
PHP Manual

# Imagick::clipPathImage

Clips along the named paths from the 8BIM profile

### Description

bool Imagick::clipPathImage ( string `$pathname` , bool `$inside` )

Clips along the named paths from the 8BIM profile, if present. Later operations take effect inside the path. It may be a number if preceded with #, to work on a numbered path, e.g., "#1" to use the first path.

### Parameters

`pathname`

  The name of the path

`inside`

  If `TRUE` later operations take effect inside clipping path. Otherwise later operations take effect outside clipping path.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.